import request from '@/utils/request'

// 查询APS产线信息列表
export function listProduct_line(query) {
  return request({
    url: 'main/factoryarea/page?code=&name=&pageNum=1&size=100&type=4',
    method: 'get',
    params: query
  })
}

// 查询APS产线信息详细
export function getProduct_line(sequenceId) {
  return request({
    url: '/aps/product_line/' + sequenceId,
    method: 'get'
  })
}

// 新增APS产线信息
export function addProduct_line(data) {
  return request({
    url: '/aps/product_line',
    method: 'post',
    data: data
  })
}

// 修改APS产线信息
export function updateProduct_line(data) {
  return request({
    url: '/aps/product_line',
    method: 'put',
    data: data
  })
}

// 删除APS产线信息
export function delProduct_line(sequenceId) {
  return request({
    url: '/aps/product_line/' + sequenceId,
    method: 'delete'
  })
}
